# Migration of virtual to physical card

## Introduction

A new feature has been introduced in the system to allow users to migrate a virtual card to a physical card while retaining the same card details.

## The flow

Below you can find the flow detail&#x73;**:**

1. The user calls the Update Card API with the newly introduced parameter <mark style="color:green;">`change_to_physical`</mark> = true.
2. The system updates the card status reason code to <mark style="color:green;">`AT`</mark> – <mark style="color:green;">Active Transition</mark>, and the fulfillment status becomes <mark style="color:green;">`CREATED`</mark> .
3. Once the embossing of the physical card is generated, the status moves to  <mark style="color:green;">`ORDERED`</mark>  . After completing these steps, user needs to manually update the card status to  <mark style="color:green;">`A0`</mark> – <mark style="color:green;">Active Initial</mark>, which update the card type from VIRTUAL to PHYSICAL.

**Restrictions During Transition:**

1. While in the transition period, the status reason can only be changed to <mark style="color:green;">`ST`</mark> <mark style="color:green;"></mark><mark style="color:green;">– Suspended Transition</mark>, indicating that the card is temporarily blocked during migration.
2. If the user wishes to permanently block the card, it is allowed at any time during the transition.
3. While the card is in the transition period, authorization settings will be restricted, preventing specific transactions until the migration to physical is fully completed.

## API changes

The following  API changes added:

**1.** [**Update Card**](https://portal.stg.platform.ae-1.nymcard.com/default/documentation/02_api_specs#tag/Cards/operation/updateCard) **API (PUT /v1/cards/{id})**

* New Parameter: "<mark style="color:green;">`change_to_physical`</mark>" (Boolean)
* Allows the user to initiate the virtual-to-physical card migration.

**2.** [**Update Card Authorization Settings**](https://portal.stg.platform.ae-1.nymcard.com/default/documentation/02_api_specs#tag/Cards/operation/upsertCardAuthSettings) **API (PUT /v1/cards/{id}/authsettings)**

* Restriction: Users cannot change the card’s authorization settings during the transition period.

**3.** [**Change Card Status**](https://portal.stg.platform.ae-1.nymcard.com/default/documentation/02_api_specs#tag/Cards/operation/changeCardStatus) **API (PUT /v1/cards/{id}:statuschange)**

* New status codes introduced:
  * AT – Active in Transition (Card is in migration phase).
  * ST – Suspended in Transition (Card is temporarily blocked during migration).

**4.** [**Card Products**](https://portal.stg.platform.ae-1.nymcard.com/default/documentation/02_api_specs#tag/Card-Products) **APIs Updates:**

* New parameter: "<mark style="color:green;">`virtual_to_physical_expiry_duration`</mark>"
* Allows configuration of the maximum duration allowed before the virtual card expires during migration.

For more information refer to the [API catalog](https://portal.stg.platform.ae-1.nymcard.com/default/documentation/02_api_specs).

\
\ <br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nymcard.com/get-started/issuing-virtual-cards/migration-of-virtual-to-physical-card.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
